> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Vault Credentials Get



## OpenAPI

````yaml https://api.notte.cc/openapi.json get /vaults/{vault_id}/credentials
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.4.40
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /vaults/{vault_id}/credentials:
    get:
      tags:
        - vaults
      summary: Vault Credentials Get
      operationId: vault_credentials_get
      parameters:
        - name: vault_id
          in: path
          required: true
          schema:
            type: string
            title: Vault Id
        - name: url
          in: query
          required: true
          schema:
            type: string
            description: URL upon which to get credentials
            title: Url
          description: URL upon which to get credentials
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCredentialsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples:
        - lang: Python
          source: |-
            from notte_sdk import NotteClient

            notte = NotteClient()
            # retrieve an existing vault
            vault = notte.Vault("<vault_id>")
            creds = vault.get_credentials(
                url="https://www.google.com"
            )
            if creds is None:
                raise ValueError()
            print(creds.get("email"), creds["password"])
          label: python
        - lang: JavaScript
          source: |-
            import { NotteClient } from "notte-sdk";

            const notte = new NotteClient();
            // retrieve an existing vault
            const vault = notte.Vault({ vault_id: "<vault_id>" });
            const creds = await vault.getCredentials(
              "https://www.google.com"
            );
            if (!creds) {
              throw new Error("No credentials found");
            }
            console.log(creds.email, creds.password);
          label: node
        - lang: Curl
          source: |-
            curl -X GET "https://api.notte.cc/vaults/$vault_id" \
            -H "Authorization: Bearer $NOTTE_API_KEY" \
            -H "Content-Type: application/json"
          label: curl
components:
  schemas:
    GetCredentialsResponse:
      properties:
        credentials:
          $ref: '#/components/schemas/CredentialsDict-Output'
          description: Retrieved credentials
      type: object
      required:
        - credentials
      title: GetCredentialsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CredentialsDict-Output:
      properties:
        email:
          type: string
          title: Email
        username:
          type: string
          title: Username
        password:
          type: string
          title: Password
        mfa_secret:
          type: string
          title: Mfa Secret
      type: object
      required:
        - password
      title: CredentialsDict
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````